summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-apps/kde-dev-scripts/kde-dev-scripts-18.08.1.ebuild')
-rw-r--r--kde-apps/kde-dev-scripts/kde-dev-scripts-18.08.1.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/kde-apps/kde-dev-scripts/kde-dev-scripts-18.08.1.ebuild b/kde-apps/kde-dev-scripts/kde-dev-scripts-18.08.1.ebuild
new file mode 100644
index 00000000000..8f878b4fe58
--- /dev/null
+++ b/kde-apps/kde-dev-scripts/kde-dev-scripts-18.08.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_HANDBOOK="true"
+inherit kde5
+
+DESCRIPTION="KDE Development Scripts"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+# kdelibs4support - required for kdex.dtd
+# kdoctools - to use ECM instead of kdelibs4
+DEPEND="
+ $(add_frameworks_dep kdelibs4support)
+ $(add_frameworks_dep kdoctools)
+"
+RDEPEND="
+ !kde-apps/kde4-l10n
+ app-arch/advancecomp
+ media-gfx/optipng
+ dev-perl/XML-DOM
+"
+
+src_prepare() {
+ # bug 275069
+ sed -ie 's:colorsvn::' CMakeLists.txt || die
+
+ kde5_src_prepare
+}